summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/optimizations/merge_stmts
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/optimizations/merge_stmts')
-rwxr-xr-xtests/shell/testcases/optimizations/merge_stmts13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/optimizations/merge_stmts b/tests/shell/testcases/optimizations/merge_stmts
new file mode 100755
index 00000000..ec7a9dd6
--- /dev/null
+++ b/tests/shell/testcases/optimizations/merge_stmts
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+RULESET="table ip x {
+ chain y {
+ ip daddr 192.168.0.1 counter accept comment "test1"
+ ip daddr 192.168.0.2 counter accept comment "test2"
+ ip daddr 192.168.0.3 counter accept comment "test3"
+ }
+}"
+
+$NFT -o -f - <<< $RULESET